/******************************************************************************
 * libreadpmud.h - see libreadpmud.c                                          *
 *                                                                            *
 * Author: Steven Hanley                                                      *
 * Date: 13/01/2001                                                           *
 * See CVS log for changes                                                    *
 ******************************************************************************/

typedef struct {
  char *which; /* which battery is this (left or right)? */
  int ac; /* boolean battery charging? */
  int charging; /* boolean battery charging? */
  int battery; /* boolean battery there */
  int charge; /* current charge */
  int maxcharge; /* max charge for this battery */
  int current; /* battery current, positive when being charged */
  int voltage; /* battery voltage in milliamps */
  int timeleft; /* time left either to finish charging, or till empty in minutes */
  int percentage; /* percentage of battery full */
} readpm_battery;

typedef struct {
  char *version; /* pmud version */
  int model; /* pwerbook (pmud's best guess) */
  readpm_battery left; /* left battery */
  readpm_battery right; /* right battery */
  char *string; /* the full string read from the pmud socket */
} readpm_pminfo;

#define SLEN 128
#define PMUD_PORT 879
#define PMUD_HOST "127.0.0.1"

char *readpm_read_from_pmud ();
readpm_pminfo *readpm_parse_pmstring (char *str);
void readpm_free_pminfo (readpm_pminfo *pm);
char *readpm_parsed_output (readpm_pminfo *pm);
